ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | ros @ Robotics Stack Exchange
Ask Your Question
1

When I run the rosbag file, I get the following message: (error: package rosbag_storage not found)

asked 2021-02-11 04:59:04 -0500

bela gravatar image

updated 2021-02-12 03:43:42 -0500

hello guys, i'm a beginner on the subject Could you help me?

edit retag flag offensive close merge delete

Comments

Does sudo apt install ros-<DISTRO>-rosbag-storage help? (replace <DISTRO> with kinetic, melodic, noetic as appropriate...)

mgruhler gravatar image mgruhler  ( 2021-02-12 02:07:41 -0500 )edit

I typed it into the terminal, here too it says the package is not found

bela gravatar image bela  ( 2021-02-12 03:41:31 -0500 )edit

Have you sourced your installation? Can you help us understand -- do you have a valid ROS installation, and have added the ROS pkg repositories sources to your pkg manager? Have you treid to apt-get update before looking for those packages?

vinny gravatar image vinny  ( 2021-02-12 09:33:22 -0500 )edit

Out of curiosity: are you able to record data into a new bag? Can you run just a roscore and rosbag record -a and see if you get any errors?

Akhil Kurup gravatar image Akhil Kurup  ( 2021-02-12 10:05:53 -0500 )edit

I tried to write the rosbag record -a, but it will appear: " [rospack] Error: package 'rosbag_storage' not found terminate called after throwing an instance of 'pluginlib::ClassLoaderException' what(): Unable to find package: rosbag_storage "

bela gravatar image bela  ( 2021-02-13 04:51:05 -0500 )edit

And you are unable to install rosbag-storage correct? Can you try installing it from source?

Akhil Kurup gravatar image Akhil Kurup  ( 2021-02-13 11:27:12 -0500 )edit

How do I do it? The problem may be that I did something different than necessary Thank you!

bela gravatar image bela  ( 2021-02-14 03:09:15 -0500 )edit

I assume you have a catkin workspace setup. In the src directory, clone this repo https://github.com/ros/ros_comm. Then use catkin_make (or build as you would for any other package). Source this path and you should be set

Akhil Kurup gravatar image Akhil Kurup  ( 2021-02-14 13:25:31 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-02-12 09:44:32 -0500

bela gravatar image

I used this: sudo apt install ros-desktop-full That was super

I already wanted to run this what you wrote, but it didn't work either E: /var/lib/apt/lists/lock locked file not opening

What could be the problem?

Thank you for your help! :)

edit flag offensive delete link more

Comments

Is the locked file issue due to you not running as sudo ?

try sudo apt-get update

vinny gravatar image vinny  ( 2021-02-12 09:54:38 -0500 )edit

i tried this too but it doesn't work unfortunately :/

bela gravatar image bela  ( 2021-02-13 04:48:27 -0500 )edit

Question Tools

Stats

Asked: 2021-02-11 04:59:04 -0500

Seen: 1,930 times

Last updated: Feb 12 '21